.Net 4.0

.Net 4.0 is doing me a favor.   It is agressively stopping my visitors from entering bad stuff into my form. 

Sometimes I want bad stuff.  For example, my CMS site has an HTML editor.  When I attempt to save it gives me an error.

Request Validation has detected a potentially dangerous client input value

Before .Net 4 we only needed to place a directive at the top of the page. 

Now we need to put a line in the web config to have the site use .Net 2.0 validation rules.

<system.web>
<httpRuntime requestValidationMode=”2.0″ />

Advertisements